Unix
Mac OS X
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module feature Methods

## GetImageChannelFeatures

GetImageChannelFeatures() returns features for each channel in the image in each of four directions (horizontal, vertical, left and right diagonals) for the specified distance. The features include the angular second moment, contrast, correlation, sum of squares: variance, inverse difference moment, sum average, sum varience, sum entropy, entropy, difference variance, difference entropy, information measures of correlation 1, information measures of correlation 2, and maximum correlation coefficient. You can access the red channel contrast, for example, like this:

      channel_features=GetImageChannelFeatures(image,1,excepton);
      contrast=channel_features[RedChannel].contrast[0];

Use MagickRelinquishMemory() to free the features buffer.

The format of the GetImageChannelFeatures method is:

      ChannelFeatures *GetImageChannelFeatures(const Image *image,
        const size_t distance,ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### distance

the distance.

##### exception

return any errors or warnings in this structure.

Discourse Server • Studio